=== debian/changelog ===
opal (3.10.2~dfsg-0ubuntu1) oneiric; urgency=low

  [ Colin Watson ]
  * Update to 3.10 version to fix FTBFS/NBS. (LP: #836915)
  * Port to libav 0.7 API.

  [ Martin Pitt ]
  * New upstream bug fix release, required by Ekiga 3.3.2.
  * Drop spandsp_autoconf_cppflags.patch, applied upstream.
  * libav_0.7.patch: Port to new upstream version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 10 Sep 2011 09:36:25 +0200
