=== debian/control ===
Source: opal
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
 libpt-dev (>= 2.10.1~), libavcodec-dev,
 libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
 libcelt-dev, pkg-kde-tools,
 libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
 libcapi20-dev, libspandsp-dev (>= 0.0.6~pre17)
Build-Conflicts: libopal-dev, libx264-dev,
 libopal3.8.3, libopal3.8.4, libopal3.6.8, libopal3.10.1, libopal3.10.2
Standards-Version: 3.9.2
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
DM-Upload-Allowed: yes

Package: libopal3.10.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
Description: Open Phone Abstraction Library - successor of OpenH323
 This package contains the shared version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.
 .
 This package contains the shared version of the OPAL library, together
 with several free audio codecs and theora and H261 video codecs.

Package: libopal-dev
Section: libdevel
Architecture: any
Conflicts: openmpi-dev
Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version}), libpt-dev (>= 2.10.1~), libspeexdsp-dev,
 libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
Suggests: pkg-config
Recommends: libopal-doc
Description: OPAL library header files
 This package contains the headers and a static version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: simpleopal
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
Description: Simple example from the OPAL project
 This package contains a small H323 and SIP client given as an example. You
 can find its code on the doc package.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, libopal3.10.2 (= ${binary:Version})
Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
Architecture: any
Description: OPAL library debug symbols
 This package contains the shared and static debug symbols of the
 OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: OPAL library documentation files
 This package contains the documentation and samples to program with
 the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.
