=== debian/changelog ===
opal (3.10.4~dfsg-3) unstable; urgency=low

  * Drop unsupported CELT codec

 -- Mark Purcell <msp@debian.org>  Wed, 23 May 2012 07:42:55 +1000

opal (3.10.4~dfsg-2) unstable; urgency=low

  * Build-Depends libcapi20-dev [linux-any]

 -- Mark Purcell <msp@debian.org>  Sat, 10 Mar 2012 10:33:32 +1100

opal (3.10.4~dfsg-1) unstable; urgency=low

  * New Upstream Release 
    - NEW package libopal3.10.4 - soname change

  [ Eugen Dedu ]
  * Remove unnecessary libavcodec-dev from Build-Depends

  [ Mark Purcell ]
  * Drop symbol support - few rdepends and exporting lots of symbols (C++)
  * disable-samples-ftbfs too not build samples that currently FTBFS 
  * Add libopal-doc.examples - samples

 -- Mark Purcell <msp@debian.org>  Thu, 08 Mar 2012 22:26:07 +1100
