=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,8 @@
 # no := here for we need evaluation at runtime!
 OPAL_LIBDIR=$(shell sed -n -e "/^OPAL_LIBDIR/s,^.*/,$(CURDIR)/,p" opal_defs.mak)
 
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
-
 %:
-	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper
+	dh $@ --parallel --with autotools_dev
 
 
 override_dh_auto_configure:
@@ -32,13 +28,13 @@
 	sed -e 's#^Libs: #Libs: -L$(OPAL_LIBDIR) #' opal.pc >samples/opal.pc
 	dh_auto_build -- PKG_CONFIG_PATH=$(CURDIR)/samples opt docs
 
-override_dh_auto_test:
-	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
-		echo shared simpleopal incorrectly compiled static; false;\
-	else \
-		echo shared simpleopal correctly compiled non-static; \
-	fi
-	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null
+#override_dh_auto_test:
+#	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
+#		echo shared simpleopal incorrectly compiled static; false;\
+#	else \
+#		echo shared simpleopal correctly compiled non-static; \
+#	fi
+#	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null
 
 override_dh_link:
 	# replace jquery.js with Debian's version
