## opal 3.10.9~dfsg

=== debian/changelog ===
opal (3.10.9~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ] 
  * New upstream release
    - fix build on kFreeBSD
  * NEW package libopal3.10.9 - match-soname

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 21:28:55 +1100

opal (3.10.7~dfsg-3) experimental; urgency=low

  [ Eugen Dedu ]
  * Make libopal package manually depend on libavcodec package, since opal
    loads libavcodec functions during runtime.

  [ Mark Purcell ] 
  * Fix "missing informations in debian/copyright" 
    - Added plugins/audio/GSM0610/COPYRIGHT (Closes: #532456)

 -- Mark Purcell <msp@debian.org>  Tue, 09 Oct 2012 22:48:43 +1100

opal (3.10.7~dfsg-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Enable H263/4 codecs

  [ Mark Purcell ]
  * Fixes "Segfault in std::less<unsigned int>::operator() from
    /usr/lib/libopal.so.3.10.4" (Closes: #687079)
  * Fixes "segfault of ekiga in libopal" (Closes: #685399)
  * Switch to xz compression

 -- Mark Purcell <msp@debian.org>  Sat, 15 Sep 2012 13:20:59 +1000

opal (3.10.7~dfsg-1) experimental; urgency=low

  * New Upstream Release
    - Fixes "Opal 3.10.4 fails to build" (Closes: #674683)
  * NEW package libopal3.10.7 - match-soname

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2012 13:30:03 +1000

opal (3.10.5~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libopal3.10.5 - match-soname

 -- Mark Purcell <msp@debian.org>  Sun, 27 May 2012 09:39:53 +1000
