=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')
 
-FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.gz
+FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.xz
 UPFILENAME := opal_$(UPVERSION).orig.tar.gz
-URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2
+URL := http://aarnet.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2
 
 # hack to get samples/simple compiled with new build system
 # no := here for we need evaluation at runtime!
@@ -69,6 +69,6 @@
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe
 	@@echo Writing archive ../tarballs/$(FILENAME) ...
-	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
+	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfJ ../$(FILENAME) *
 	@@echo Cleaning up...
 	@@$(RM) -rf ../tarballs/opal-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)
