=== samples/lidtest/Makefile ===
#
# Makefile
#
# Make file for Line Interface Device test application.
#
# Copyright (C) 2008 Vox Lucida
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 Library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Revision$
# $Author$
# $Date$
#

PROG		= lidtest
SOURCES		:= main.cxx

ifndef OPALDIR
OPALDIR=$(CURDIR)/../..
endif

include $(OPALDIR)/opal_inc.mak
