=== samples/opalcodecinfo/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the Open H323 library.
#
# Copyright (C) 2004 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 Library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.2  2006/07/24 14:03:39  csoutheren
# Merged in audio and video plugins from CVS branch PluginBranch
#
# Revision 1.1  2006/03/13 06:56:37  csoutheren
# Initial version
#
# Revision 1.1  2004/05/11 01:19:37  csoutheren
# Initial version
#
#

PROG		= codecinfo
SOURCES		:= main.cxx

ifndef OPENH323DIR
OPALDIR=$(CURDIR)/../..
endif

VERSION_FILE := $(OPALDIR)/version.h

include $(OPALDIR)/opal_inc.mak
