=== debian/changelog ===
opal (3.10.10~dfsg-2.1ubuntu3) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:56:11 +0000

opal (3.10.10~dfsg-2.1ubuntu2) trusty; urgency=low

  * Work around the build infrastructure's kindly ignoring CPPFLAGS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Jan 2014 12:37:27 -0500

opal (3.10.10~dfsg-2.1ubuntu1) trusty; urgency=low

  * Pass P_64BIT to build infrastructure appropriately to resolve
    FTBFS on newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Jan 2014 11:24:58 -0500

opal (3.10.10~dfsg-2.1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 22:00:12 +0000

opal (3.10.10~dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/libav9.patch: Backport changes for libav 9 and link against
    libavcodec and libavutil instead of loading it with dlopen. (Closes:
    #720824)
  * debian/control: Remove explicit dependency on libavcodec. This is now
    generated by dpkg-shlibdeps.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 Sep 2013 13:21:27 +0200

opal (3.10.10~dfsg-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 12:49:36 +1100

opal (3.10.10~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release
  * Do not remove iLBC audio codec anymore, since it is free now
  * Depend on libavcodec-extra-53 too (Closes: #695691)

 -- Mark Purcell <msp@debian.org>  Tue, 27 Nov 2012 21:28:55 +1100
