=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: opal
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.10.9~), libavcodec-dev, libx264-dev,
+ libpt-dev (>= 2.10.10~), libavcodec-dev, libx264-dev,
  libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
  libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
- libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17)
+ libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17),
+ dpkg-dev (>= 1.15.4)
 Build-Conflicts: libopal-dev
 Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
@@ -15,10 +17,9 @@
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.10.9
+Package: libopal3.10.10
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1,
- libavcodec53
+Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
 Description: Open Phone Abstraction Library - successor of OpenH323
  This package contains the shared version of the OPAL library.
  .
@@ -33,8 +34,7 @@
 Package: libopal-dev
 Section: libdevel
 Architecture: any
-Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version}), libpt-dev (>= 2.10.9~), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version}), libpt-dev (>= 2.10.10~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
@@ -49,7 +49,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -62,7 +62,7 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.10.9 (= ${binary:Version})
+Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
 Conflicts: libopal3.6.8-dbg
 Replaces: libopal3.6.8-dbg
 Architecture: any
