=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE:=1
+ifeq (64,$(strip $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)))
+   export EXTRA_EXTRA_CPPFLAGS:=-DP_64BIT=1
+endif
 
 DEBVERSION := $(shell head -n 1 debian/changelog \
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
@@ -19,9 +22,6 @@
 
 
 override_dh_auto_configure:
-	if [ -d plugins/audio/iLBC ];then \
-	   echo "DFSG ERROR: iLBC code must be removed from upstream sources" ; false ; \
-	fi
 	dh_auto_configure -- --enable-samples --enable-spandsp
 
 override_dh_auto_build:
@@ -61,10 +61,9 @@
 	@@#this is for stable versions
 	@@echo Downloading $(UPFILENAME) from $(URL) ...
 	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
-	@@echo 'Repacking as DFSG-free (removing iLBC, DLLs and EXEs)...'
+	@@echo 'Repacking as DFSG-free (removing DLLs and EXEs)...'
 	@@mkdir -p ../tarballs/opal-$(UPVERSION).tmp/
 	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
-	@@rm -rf ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/audio/iLBC
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/CM_HID/CM_HID.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
 	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe
