=== debian/watch ===
version=3
#  http://www.voxgratia.org/releases/opal-v(\d+)_(\d?[02468]+)([\d_]+)-src[\.-]tar\.gz	debian	svn-upgrade

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
  http://sf.net/opalvoip/opal-(\d.\d+.\d).tar.bz2 debian svn-upgrade
